using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync.MOM
{
    ///生产报工上传 
    public class ReportUploadData
    {
        /// <summary>
        // 订单号
        /// </summary>
        public string orderNumber
        {
            get;
            set;
        } = "";
        /// <summary>
        // SN号
        /// </summary>
        public string snCode
        {
            get;
            set;
        } = "";
        /// <summary>
        // 产品型号
        /// </summary>
        public string productModel
        {
            get;
            set;
        } = "";
        /// <summary>
        // 配方号
        /// </summary>
        public string recipeNumber
        {
            get;
            set;
        } = "";
        /// <summary>
        /// 合格标志
        /// </summary>
        public string qualityResult
        {
            get;
            set;
        } = "";
        /// <summary>
        // 工位号
        /// </summary>
        public string stationCode
        {
            get;
            set;
        } = "";
        /// <summary>
        // 生产日期
        /// </summary>
        public string productionDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 质量数据列表
        /// </summary>
        public List<ReportUploadQualityData> qualityList
        {
            get;
            set;
        } = null;
    }
}
